import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import org.apache.jasper.runtime.*;

public class mainFrameCSS_jsp extends HttpJspBase {



	private static final int HEADING_HEIGHT = 5;
	private static final int FOOTNOTE_HEIGHT = 5;
	
	private static final int NAVBAR_HEIGTH = 6;

	private static final int FULL_WIDTH = 100;
	private static final int FULL_HEIGHT = 100;
	private static final int LEFT_SIDE_WIDTH = 20;
	
	private static final int CONTENT_HEIGHT = FULL_HEIGHT - (HEADING_HEIGHT + FOOTNOTE_HEIGHT);

	private int getTopRightComponentHeight() {
		// careful! don't use int's bigger than 90!
		
		if (showGroupAdmin) 
			return CONTENT_HEIGHT;
		else if (showProfile) 
			return CONTENT_HEIGHT;
		else if (showCalendar && !showDateEditor && !showConflictView) 
			return CONTENT_HEIGHT - NAVBAR_HEIGTH;
		else if (showHelp) 
			return CONTENT_HEIGHT;
		else 
			return 60;
	}
	
	private int getNavbarHeight(){
	
		if(showCalendar)
			return NAVBAR_HEIGTH;
		else
			return 0;
	}			


  private static java.util.Vector _jspx_includes;

  public java.util.List getIncludes() {
    return _jspx_includes;
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    JspFactory _jspxFactory = null;
    javax.servlet.jsp.PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;


    try {
      _jspxFactory = JspFactory.getDefaultFactory();
      response.setContentType("text/html;charset=ISO-8859-1");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\n");
      out.write("<style type=\"text/css\">\n\n\n#invisible{\n\tdisplay:none;\n}\n\n#top{\n\tposition:absolute;\n\tleft:0%;\n\ttop:0%;\n\twidth:");
      out.print(FULL_WIDTH);
      out.write("%;\n\theight:");
      out.print(HEADING_HEIGHT);
      out.write("%;\n\t\t\t\n\toverflow:auto;\n\t\t\t\n\tpadding:5px;\n}\n\n\t#top #name{\t\t\t\n\t\tposition:relative;\n\t\tfloat:left;\n\t\tleft:0%;\n\t\ttop:0%;\n\t}\n\t\t\n\t#top #time{\n\t\tposition:relative;\n\t\tfloat:right;\n\t\tright:0%;\n\t\ttop:0%;\n\t}\n\t\n\t\t\n\n#topLeft {\n\tposition:absolute;\n\tleft:0%;\n\ttop:");
      out.print(HEADING_HEIGHT);
      out.write("%;\n\twidth:");
      out.print(LEFT_SIDE_WIDTH);
      out.write("%;\n\theight:");
      out.print((int)(CONTENT_HEIGHT / 2));
      out.write("%;\n\t\t\n\toverflow:auto;\n}\n\n#bottomLeft {\n\tposition:absolute;\n\tleft:0%;\n\ttop:");
      out.print((int)(CONTENT_HEIGHT / 2) + HEADING_HEIGHT);
      out.write("%;\n\twidth:");
      out.print(LEFT_SIDE_WIDTH);
      out.write("%;\n\theight:");
      out.print((int)(CONTENT_HEIGHT / 2));
      out.write("%;\n\t\t\t\n\toverflow:auto;\n}\n\t\t\n#topRight {\n\tposition:absolute;\n\tleft:");
      out.print(LEFT_SIDE_WIDTH);
      out.write("%;\n\ttop:");
      out.print(HEADING_HEIGHT);
      out.write("%;\n\twidth:");
      out.print(FULL_WIDTH - LEFT_SIDE_WIDTH);
      out.write("%;\n\theight:");
      out.print(getTopRightComponentHeight());
      out.write("%;\t\t\t\t\t\t\n\t\t\t\n\toverflow:auto;\n}\n\t\t\t\n\n\n\t\n#navbar {\n\tposition:absolute;\n\t\n\tpadding-top:5px;\n\t\n\theight:");
      out.print(NAVBAR_HEIGTH);
      out.write("%;\n\twidth:");
      out.print(FULL_WIDTH - LEFT_SIDE_WIDTH);
      out.write("%;\n\n\tleft:");
      out.print(LEFT_SIDE_WIDTH);
      out.write("%;\n\ttop:");
      out.print(HEADING_HEIGHT + getTopRightComponentHeight());
      out.write("%;\n\n\toverflow:auto;\n}\t\n\t#middleBar td{\n\t\tfont-size:80%;\n\t\ttext-align:center;\n\t\tvertical-align:middle;\n\t}\n\t\n\t#middleBar td.middle{\n\t\tpadding:2px 4px;\n\t\tborder:thin silver solid;\n\t\theight:28px;\n\t\tbackground:FFFFCC;\n\t}\n\t\n\t#middleBar td#showDate{\n\t\tbackground:#CCFFCC;\n\t}\n\t\n\t#middleBar td#hideDate{\n\t\tbackground:#FFCCCC;\n\t}\n\t\n\t#middleBar td#mondayFirst{\n\t\t");
      out.write("\n\t}\n\t\n\t#middleBar td#currWeek{\n\t\t");
      out.write("\n\t}\n\t\n#bottomRight {\n\tposition:absolute;\n\tleft:");
      out.print(LEFT_SIDE_WIDTH);
      out.write("%;\n\ttop:");
      out.print(HEADING_HEIGHT +  getTopRightComponentHeight() + getNavbarHeight());
      out.write("%;\t\n\t\t\n\twidth:");
      out.print(FULL_WIDTH - LEFT_SIDE_WIDTH);
      out.write("%;\n\theight:");
      out.print(HEADING_HEIGHT +  CONTENT_HEIGHT - getTopRightComponentHeight() - getNavbarHeight() - FOOTNOTE_HEIGHT);
      out.write("%; \n\t\t\t\n\toverflow:auto;\n\t\n}\n\t\n\t#bottomRight > div{\n\t\tpadding-top:10px;\n\t}\n\n\t\t\n#footnote{\n\tposition:absolute;\n\tleft:");
      out.print(LEFT_SIDE_WIDTH);
      out.write("%;\n\ttop:95%;\n\twidth:");
      out.print(FULL_WIDTH-LEFT_SIDE_WIDTH);
      out.write("%;\n\theight:");
      out.print(FOOTNOTE_HEIGHT);
      out.write("%;\n\t\t\t\n\toverflow:auto;\n\t\t\t\n\tfont-weight:bold;\n\t\n\tpadding:5px 0px;\n}\n\n\t#footnote #message{\n\t\tposition:relative;\n\t\tfloat:left;\n\t\tleft:0%;\n\t}\n\t\n\t#footnote #versioning{\n\t\tfloat:right;\n\t\tfont-weight:400;\n\t\tfont-style:italic;\n\t\tfont-size:80%;\n\t}\n\n\t\n\n");
      out.write("</style>\t\n\n");
      out.write("\n\n\n\n\n\n");
    } catch (Throwable t) {
      out = _jspx_out;
      if (out != null && out.getBufferSize() != 0)
        out.clearBuffer();
      if (pageContext != null) pageContext.handlePageException(t);
    } finally {
      if (_jspxFactory != null) _jspxFactory.releasePageContext(pageContext);
    }
  }
}
