import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import org.apache.jasper.runtime.*;
import java.sql.*;
import java.util.*;

public class profile_jsp extends HttpJspBase {

 
	private boolean debugMode = true;				
	private HttpServletRequest myRequest;
	public static final String ERR_MSG_KEY = "errorMessage";
	public static final String SUC_MSG_KEY = "successMessage";
	
	private void setErrorMessage(String errMsg) {
		myRequest.setAttribute(ERR_MSG_KEY, errMsg);
	}
	
	private void setSuccessMessage(String msg){
		myRequest.setAttribute(SUC_MSG_KEY, msg);
	}
	


  private static java.util.Vector _jspx_includes;

  static {
    _jspx_includes = new java.util.Vector(2);
    _jspx_includes.add("/standardheadWOhtml.jsp");
    _jspx_includes.add("/standardhead_java.jsp");
  }

  public java.util.List getIncludes() {
    return _jspx_includes;
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    JspFactory _jspxFactory = null;
    javax.servlet.jsp.PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;


    try {
      _jspxFactory = JspFactory.getDefaultFactory();
      response.setContentType("text/html;charset=ISO-8859-1");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\n");
      beans.LogTracker logger = null;
      synchronized (session) {
        logger = (beans.LogTracker) pageContext.getAttribute("logger", PageContext.SESSION_SCOPE);
        if (logger == null){
          try {
            logger = (beans.LogTracker) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.LogTracker");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.LogTracker", exc);
          }
          pageContext.setAttribute("logger", logger, PageContext.SESSION_SCOPE);
        }
      }
      out.write("\n");
      beans.Tools tools = null;
      synchronized (application) {
        tools = (beans.Tools) pageContext.getAttribute("tools", PageContext.APPLICATION_SCOPE);
        if (tools == null){
          try {
            tools = (beans.Tools) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.Tools");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.Tools", exc);
          }
          pageContext.setAttribute("tools", tools, PageContext.APPLICATION_SCOPE);
        }
      }
      out.write("\n");
      beans.DatabaseLayer dbConn = null;
      synchronized (session) {
        dbConn = (beans.DatabaseLayer) pageContext.getAttribute("dbConn", PageContext.SESSION_SCOPE);
        if (dbConn == null){
          try {
            dbConn = (beans.DatabaseLayer) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.DatabaseLayer");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.DatabaseLayer", exc);
          }
          pageContext.setAttribute("dbConn", dbConn, PageContext.SESSION_SCOPE);
        }
      }
      out.write(" ");
      out.write("\n");
      out.write("\n");
 myRequest = request; 
      out.write("\n");
      out.write("\n\n");
if(!logger.isLoggedIn() && request.getRequestURI().indexOf("Login.jsp") < 0){
      out.write("\n\t");
      if (true) {
        pageContext.forward("Login.jsp");
        return;
      }
      out.write("\n");
}
      out.write("\r\n\r\n");

    	boolean stillMySite = beans.Tools.isKeyInRequest(request, "showProfile");
		boolean changeProfileButtonPressed = beans.Tools.isKeyInRequest(request, "changeProfileButton");
		boolean deleteUserButtonPressed = beans.Tools.isKeyInRequest(request, "deleteUserButton");
		boolean yesDeleteUserButtonPressed = beans.Tools.isKeyInRequest(request, "yesDeleteUserButton");
		boolean noDeleteUserButtonPressed = beans.Tools.isKeyInRequest(request, "noDeleteUserButton");
		boolean cancelChangeProfileButtonPressed = beans.Tools.isKeyInRequest(request, "cancelChangeProfileButton");
		boolean changeButtonPressed = (changeProfileButtonPressed && stillMySite);
		
		GregorianCalendar cal = new GregorianCalendar();
		String userID = logger.getUserID();
		String userName = "";
		String password = "";
		String password2 = "";
		String email = "";
		String firstName = "";
		String lastName = "";
		String style = ""; 
		String birthdayDay = "";
		String birthdayMonth = "";
		String birthdayYear =  "";
		String intervall = "30"; 
		String firstDayToShow = "";
		
		final int LOGIN_NAME_RESTRICTOR = 30;
		final int DELETE_NAME_RESTRICTOR = 60; 
      out.write("\r\n\r\n");
	
if (!cancelChangeProfileButtonPressed && !deleteUserButtonPressed) {
	if (yesDeleteUserButtonPressed) {
		if (dbConn.isUserAnywhereGroupAdmin(userID)) {
	 		setErrorMessage("Sie k&ouml;nnen noch NICHT gel&ouml;scht werden, da Sie noch Gruppen-Administrator sind!");
		 	} else {
		 		boolean successful = false;
	 			successful = (dbConn.deleteUserFromGroups(userID) && 
	 						 dbConn.deleteUsersGroupDates(userID) &&
					 		 dbConn.deleteUsersGroups(userID) &&
	 						 dbConn.deleteUsersDates(userID) &&
	 						 dbConn.deleteUser(userID) );
	 			if (successful) {
	 				setSuccessMessage("Sie wurden erfolgreich gel&ouml;scht!");
	 				logger.logOut();
					session.invalidate();
					response.sendRedirect("Login.jsp");
				} else {
					setErrorMessage("Es trat ein Fehler beim Löschen auf! Sie wurden NICHT gel&ouml;scht!");
				}
	 		}
	 	}
		
		if (changeButtonPressed) {

			password = request.getParameter("password");
			password2 = request.getParameter("password2");
			email = request.getParameter("email").trim();
			firstName = request.getParameter("firstName");
			lastName = request.getParameter("lastName");
			style = request.getParameter("style");
			birthdayDay = request.getParameter("birthdayDay");
			birthdayMonth = request.getParameter("birthdayMonth");
			birthdayYear = request.getParameter("birthdayYear");
			intervall = request.getParameter("intervall");
			firstDayToShow = request.getParameter("firstDayToShow");
			}
			
		boolean transmit = true;
		if (changeButtonPressed && !(password.equals(password2))) { 
			setErrorMessage("Passwort falsch wiederholt!"); 
			transmit = false;	
		}
		if (changeButtonPressed && (!tools.emailStringChecker(email))) { 
			setErrorMessage("Bitte korrekte Email-Adresse eingeben!");
			transmit = false;
		}
		if (changeButtonPressed && transmit) {
			boolean successful = false;			
			if (password.equals("") && password2.equals("")) {
				successful = dbConn.updateSomeUsersData(logger.getUserID(),
				  	"firstName = '" + firstName 
					+ "', lastName = '" + lastName 
					+ "', birthday = '" + tools.makeBirthDate(birthdayYear, birthdayMonth, birthdayDay)
					+ "', email = '" + email
					+ "', style = '" + style
					+ "', intervall = '" + intervall
					+ "', firstDayToShow = '" + firstDayToShow
					+ "'");
			} else {
				successful = dbConn.updateUsersData(logger.getUserID(),
					firstName,
					lastName,
					password,
					tools.makeBirthDate(birthdayYear, birthdayMonth, birthdayDay),
					email,
					style,
					intervall,
					firstDayToShow);
			}
			if (successful) { 
				setSuccessMessage("Daten erfolgreich &uuml;bernommen!");
      out.write("\r\n\t\t\t\t");
 if(request.getAttribute("profileStopp") == null){
					request.setAttribute("profileStopp", "fullStopp");
      out.write("\t\t\t\t\t\r\n\t     \t\t\t");
      if (true) {
        pageContext.forward("mainFrame.jsp");
        return;
      }
      out.write("\r\n\t     \t\t");
}
      out.write("\r\n\t\t  ");
} else {
				setErrorMessage("Ein Fehler trat auf! Daten wurden <b>nicht</b> &uuml;bernommen!");
			}
			request.removeAttribute("profileStopp");
		}
		
      out.write(" \r\n\t\t");
      out.write("<center>\r\n\t\t");
      out.write("<br>");
      out.write("<h1>Mein Benutzerprofil &auml;ndern");
      out.write("</h1>\r\n\t\t");
      out.write("<div>Alle mit * versehenen Angaben sind notwendig!");
      out.write("<br>");
      out.write("<br>\r\n\r\n\t\t");

		ResultSet rs = dbConn.getUsersData(userID);
		if (rs != null) {
	 		rs.next();
			userName = rs.getString("userName");
	    	email = rs.getString("email");	   
			String fNHelper = rs.getString("firstName");
				if (fNHelper != null) { firstName = fNHelper; }
			String lNHelper = rs.getString("lastName");
				if (lNHelper != null) { lastName = lNHelper; }
			String sHelper = rs.getString("style");
				if (sHelper != null) { style = sHelper; }
			String iHelper = rs.getString("intervall");
				if (sHelper != null) { intervall = iHelper; }
			String fHelper = rs.getString("firstDayToShow");
				if (fHelper != null) { firstDayToShow = fHelper; }
			String bHelper = rs.getString("birthday");
				if ((bHelper != null) && (bHelper.length() > 1)) {
					birthdayYear = bHelper.substring(0,4);
					birthdayMonth = bHelper.substring(5,7);
					birthdayDay = bHelper.substring(8,10); }
		}
		
      out.write("\r\n\t \r\n  ");
      out.write("<form action=\"mainFrame.jsp\" method= \"");
if(debugMode) out.print("get"); else out.print("post");
      out.write("\"> ");
      out.write("<!-- ##für Choose, unten auskommentiert##: enctype=\"multipart/form-data\"> -->\r\n  ");
      out.write("<div>\r\n  ");
      out.write("<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" rules=\"none\">\r\n      ");
      out.write("<tr>\r\n      \t");
      out.write("<td>");
      out.write("</td> \r\n\t\t");
      out.write("<td>Login-Name:");
      out.write("</td>\r\n        ");
      out.write("<td>");
      out.print( tools.stringRestrictor(userName, LOGIN_NAME_RESTRICTOR) );
      out.write("</td>\r\n\t\t");
      out.write("<td>");
      out.write("</td>\r\n      ");
      out.write("</tr>\r\n      ");
      out.write("<tr> \r\n\t  \t");
      out.write("<td>&nbsp;*&nbsp;");
      out.write("</td>\r\n        ");
      out.write("<td>Passwort:");
      out.write("</td>\r\n        ");
      out.write("<td>");
      out.write("<input type=\"password\" name=\"password\" value=\"\" size=\"42\">");
      out.write("</td>\r\n\t\t");
      out.write("<td>");
      out.write("</td>\r\n      ");
      out.write("</tr>\r\n\t  ");
      out.write("<tr> \r\n\t  ");
      out.write("<td>&nbsp;*&nbsp;");
      out.write("</td>\r\n        ");
      out.write("<td>Passwort nochmal:");
      out.write("</td>\r\n        ");
      out.write("<td>");
      out.write("<input type=\"password\" name=\"password2\" value=\"\" size=\"42\">");
      out.write("</td>\r\n\t\t");
      out.write("<td>");
      out.write("</td>\r\n      ");
      out.write("</tr>\r\n\t  ");
      out.write("<tr> \r\n\t  \t");
      out.write("<td>&nbsp;*&nbsp;");
      out.write("</td>\r\n        ");
      out.write("<td>eMail:");
      out.write("</td>\r\n        ");
      out.write("<td>");
      out.write("<input type=\"text\" name=\"email\" value=\"");
      out.print( email );
      out.write("\" size=\"42\">");
      out.write("</td>\r\n      \t");
      out.write("<td>");
      out.write("</td>\r\n\t  ");
      out.write("</tr>     \r\n\t  ");
      out.write("<tr> \r\n\t  \t");
      out.write("<td>");
      out.write("</td>\r\n        ");
      out.write("<td>Vorname:");
      out.write("</td>\r\n        ");
      out.write("<td>");
      out.write("<input type=\"text\" name=\"firstName\" value=\"");
      out.print( firstName );
      out.write("\" size=\"42\">");
      out.write("</td>\r\n     \t");
      out.write("<td>");
      out.write("</td>\r\n\t  ");
      out.write("</tr> \r\n\t  ");
      out.write("<tr> \r\n\t  \t");
      out.write("<td>");
      out.write("</td>\r\n        ");
      out.write("<td>Nachname:");
      out.write("</td>\r\n        ");
      out.write("<td>");
      out.write("<input type=\"text\" name= \"lastName\" value=\"");
      out.print( lastName );
      out.write("\" size=\"42\">");
      out.write("</td>\r\n      \t");
      out.write("<td>");
      out.write("</td>\r\n\t  ");
      out.write("</tr>\r\n\t  ");
      out.write("<tr> \r\n\t  \t");
      out.write("<td>");
      out.write("</td>\r\n        ");
      out.write("<td>Geburtstag:");
      out.write("</td>\r\n          ");
      out.write("<td>Tag:&nbsp;");
      out.write("<select name=\"birthdayDay\" size=\"1\">\r\n          \t\t");
      out.write("<option value=\"\">");
      out.write("</option>\r\n          \t\t");
 for (int i = 1; i < 32; i++) { 
          		if (tools.isTrimStringNotEmpty(birthdayDay) && Integer.parseInt(birthdayDay) == i) { 
      out.write("\r\n        \t\t");
      out.write("<option selected value=\"");
      out.print( i );
      out.write("\">");
      out.print( (i<10) ? "0" + i : "" + i );
      out.write("</option> ");
 
        		} else { 
      out.write("\r\n        \t\t");
      out.write("<option value=\"");
      out.print( i );
      out.write("\">");
      out.print( (i<10) ? "0" + i : "" + i );
      out.write("</option> ");
 } 
        	}
      out.write("        \t\t\r\n\t\t\t");
      out.write("</select>\r\n        \tMonat:&nbsp;");
      out.write("<select name=\"birthdayMonth\" size=\"1\">\r\n        \t\t");
      out.write("<option value=\"\">");
      out.write("</option>\r\n        \t\t");
 for (int i = 1; i < 13; i++) { 
        		if (tools.isTrimStringNotEmpty(birthdayMonth) && Integer.parseInt(birthdayMonth) == i) { 
      out.write("\r\n        \t\t");
      out.write("<option selected value=\"");
      out.print( i );
      out.write("\">");
      out.print( (i<10) ? "0" + i : "" + i );
      out.write("</option> ");
 
        		} else { 
      out.write("\r\n        \t\t");
      out.write("<option value=\"");
      out.print( i );
      out.write("\">");
      out.print( (i<10) ? "0" + i : "" + i );
      out.write("</option> ");
 } 
        	}
      out.write("        \t\t\r\n\t\t\t");
      out.write("</select>\r\n\t\t\tJahr:&nbsp;");
      out.write("<select name=\"birthdayYear\" size=\"1\">\r\n\t\t\t\t");
      out.write("<option value=\"\">");
      out.write("</option>\r\n\t\t\t\t");
 for (int i = cal.get(Calendar.YEAR) - 110; i < cal.get(Calendar.YEAR) + 1; i++) { 
        		if (tools.isTrimStringNotEmpty(birthdayYear) && Integer.parseInt(birthdayYear) == i) { 
      out.write("\r\n        \t\t");
      out.write("<option selected value=\"");
      out.print( i );
      out.write("\">");
      out.print( i );
      out.write("</option> ");
 
        		} else { 
      out.write("\r\n        \t\t");
      out.write("<option value=\"");
      out.print( i );
      out.write("\">");
      out.print( i );
      out.write("</option> ");
 } 
        	}
      out.write("        \t\t\r\n\t\t\t");
      out.write("</select>\r\n\t\t\t");
      out.write("</td> \r\n\t  \t");
      out.write("<td>");
      out.write("</td>\r\n\t  ");
      out.write("</tr>\r\n\t  ");
      out.write("<tr>");
      out.write("<td colspan=\"4\">&nbsp;");
      out.write("</td>");
      out.write("</tr>\r\n\t  ");
      out.write("<tr>\r\n\t  \t");
      out.write("<td>");
      out.write("</td>\r\n\t  \t");
 if (intervall.equals("") || intervall.equals(null)) { intervall = "30"; } 
      out.write("\t\r\n\t    ");
      out.write("<td>Termin-Intervall:");
      out.write("</td>\r\n\t\t");
      out.write("<td>");
      out.write("<input type=\"radio\" name=\"intervall\" value=\"15\" ");
 if (intervall.equals("15")) { 
      out.write(" checked ");
 } 
      out.write(" >15 min&nbsp;&nbsp;\r\n\t\t\t");
      out.write("<input type=\"radio\" name=\"intervall\" value=\"30\" ");
 if (intervall.equals("30")) { 
      out.write(" checked ");
 } 
      out.write(" >30 min&nbsp;&nbsp;\r\n\t\t\t");
      out.write("<input type=\"radio\" name=\"intervall\" value=\"60\" ");
 if (intervall.equals("60")) { 
      out.write(" checked ");
 } 
      out.write(" >60 min\r\n\t\t");
      out.write("</td>\r\n\t\t");
      out.write("<td>");
      out.write("</td>\r\n\t  ");
      out.write("</tr>\r\n\t  ");
      out.write("<tr>");
      out.write("<td colspan=\"4\">&nbsp;");
      out.write("</td>");
      out.write("</tr>\r\n\t  ");
      out.write("<tr>\r\n\t  \t");
      out.write("<td>");
      out.write("</td>\r\n\t  \t");
 if (firstDayToShow.equals("") || firstDayToShow.equals(null)) { firstDayToShow = "Monday"; } 
      out.write("\t\r\n\t    ");
      out.write("<td>1. Tag im Kalender:");
      out.write("</td>\r\n\t\t");
      out.write("<td>");
      out.write("<input type=\"radio\" name=\"firstDayToShow\" value=\"today\" ");
 if (firstDayToShow.equals("today")) { 
      out.write(" checked ");
 } 
      out.write(" >aktueller Tag&nbsp;&nbsp;\r\n\t\t\t");
      out.write("<input type=\"radio\" name=\"firstDayToShow\" value=\"Monday\" ");
 if (firstDayToShow.equals("Monday")) { 
      out.write(" checked ");
 } 
      out.write(" >Montag\r\n\t\t");
      out.write("</td>\r\n\t\t");
      out.write("<td>");
      out.write("</td>\r\n\t  ");
      out.write("</tr>\r\n\t  \r\n\t  ");
      out.write("<tr>");
      out.write("<td colspan=\"4\">&nbsp;");
      out.write("</td>");
      out.write("</tr>\r\n\t  ");
      out.write("<tr>\r\n\t    ");
      out.write("<td>");
      out.write("</td>\r\n\t  \t");
      out.write("<td colspan=\"3\">\r\n\t  \t\r\n\t  \t\t");
 if (style.equals("") || style.equals(null)) { style = "basic.css"; } 
      out.write("\t\r\n\t  \t\t");
      out.write("<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" rules=\"none\" width=\"100%\">\r\n\t  \t\t\t");
      out.write("<tr>\r\n\t\t\t\t\t");
      out.write("<td colspan=\"5\" align=\"center\">Bitte Layout w&auml;hlen:");
      out.write("</td>\r\n\t\t\t\t\t");
      out.write("<td width=\"3%\">");
      out.write("</td>\r\n\t\t\t\t");
      out.write("</tr>\r\n\t  \t\t\t");
      out.write("<tr>\r\n\t\t\t\t\t");
      out.write("<td width=\"6%\">");
      out.write("<input type=\"radio\" name=\"style\" value=\"basic.css\" ");
 if (style.equals("basic.css")) { 
      out.write(" checked ");
 } 
      out.write(" >");
      out.write("</td>\r\n\t\t\t\t\t");
      out.write("<td bgcolor=\"#FFFFEE\" width=\"40%\">");
      out.write("<font color=\"#333FC6\">Standard");
      out.write("</font>");
      out.write("</td>\r\n\t\t\t\t\t");
      out.write("<td width=\"8%\">&nbsp;");
      out.write("</td>\r\n\t  \t\t\t\t");
      out.write("<td width=\"6%\">");
      out.write("<input type=\"radio\" name=\"style\" value=\"basicWhiteBlack.css\" ");
 if (style.equals("basicWhiteBlack.css")) { 
      out.write(" checked ");
 } 
      out.write(" >");
      out.write("</td>\r\n\t\t\t\t\t");
      out.write("<td bgcolor=\"#000000\" width=\"37%\">");
      out.write("<font color=\"#FFFFFF\">Wei&szlig; auf Schwarz");
      out.write("</font>");
      out.write("</td>\r\n\t\t\t\t");
      out.write("</tr>\r\n\t\t\t\t");
      out.write("<tr>\r\n\t\t\t\t\t");
      out.write("<td>");
      out.write("<input type=\"radio\" name=\"style\" value=\"basicBlackBlue.css\" ");
 if (style.equals("basicBlackBlue.css")) { 
      out.write(" checked ");
 } 
      out.write(" >");
      out.write("</td>\r\n\t\t\t\t\t");
      out.write("<td bgcolor=\"#0094FF\" width=\"40%\">");
      out.write("<font color=\"#000000\">Schwarz auf Blau");
      out.write("</font>");
      out.write("</td>");
      out.write("<td width=\"8%\">&nbsp;");
      out.write("</td>\r\n\t\t\t\t\t");
      out.write("<td>");
      out.write("<input type=\"radio\" name=\"style\" value=\"basicBlackWhite.css\" ");
 if (style.equals("basicBlackWhite.css")) { 
      out.write(" checked ");
 } 
      out.write(" >");
      out.write("</td>\r\n\t\t\t\t\t");
      out.write("<td bgcolor=\"#FFFFFF\">");
      out.write("<font color=\"#222222\">Schwarz auf Wei&szlig;");
      out.write("</font>");
      out.write("</td>\r\n\t\t\t\t");
      out.write("</tr>\r\n\t\t\t");
      out.write("</table>\r\n\t\t");
      out.write("</td>\r\n\t  ");
      out.write("</tr>\r\n    ");
      out.write("</table>");
      out.write("<br>\r\n    ");
      out.write("<input type=\"image\" src=\"buttons/entfernen.gif\" name=\"deleteUserButton\" alt=\"Entfernen\" title=\"Entfernen\" />\r\n    ");
      out.write("<input type=\"image\" src=\"buttons/aendern.gif\" name=\"changeProfileButton\" alt=\"&Auml;ndern\" title=\"&Auml;ndern\" />\r\n    ");
      out.write("<input type=\"hidden\" name=\"showProfile.x\" value=\"\"/>\r\n  ");
      out.write("</div>\t\r\n  ");
      out.write("</form>  \r\n  \r\n  ");
      out.write("</div>\r\n  ");
      out.write("</center> \r\n  ");
 } else if (deleteUserButtonPressed && !noDeleteUserButtonPressed) { 
      out.write("\r\n  \t\r\n  \t");
      out.write("<center>");
      out.write("<br>\r\n  \t");
      out.write("<div>\r\n  ");
ResultSet rs = dbConn.getUsersData(userID);
	if (rs != null) {
		rs.next();
		userName = rs.getString("userName"); 
	} 
      out.write("\r\n  \t");
      out.write("<form action=\"mainFrame.jsp\" method= \"");
if (debugMode) out.print("get"); else out.print("post");
      out.write("\">\r\n\t ");
      out.write("<div>M&ouml;chten Sie");
      out.write("<br>");
      out.write("<br>(Benutzername: ");
      out.write("<b>");
      out.write("<i>");
      out.print( tools.stringRestrictor(userName, DELETE_NAME_RESTRICTOR) );
      out.write("</i>");
      out.write("</b>)");
      out.write("<br>");
      out.write("<br>komplett aus dem&nbsp;");
      out.write("<img src=\"buttons/terminatorStatic.gif\" alt=\"TERMIN@OR\" title=\"TERMIN@OR\" border=\"0\" align=\"top\">-System entfernt werden?");
      out.write("<br>");
      out.write("<br>\r\n\t\t");
      out.write("<input type=\"image\" src=\"buttons/loeschen.gif\" name=\"yesDeleteUserButton\" alt=\"Ja, komplett l&ouml;schen\" title=\"Ja, komplett l&ouml;schen\" />\r\n\t    ");
      out.write("<input type=\"image\" src=\"buttons/abbrechen.gif\" name=\"noDeleteUserButton\" alt=\"Nein, doch nicht\" title=\"Nein, doch nicht\" />\r\n    \t");
      out.write("<input type=\"hidden\" name=\"showProfile.x\" value=\"\">\r\n     ");
      out.write("</div>\r\n    ");
      out.write("</form>\r\n    ");
      out.write("</div> \r\n    ");
      out.write("</center>\r\n  ");
 } 
   	else { 
      out.write(" ");
      if (true) {
        pageContext.forward("mainFrame.jsp");
        return;
      }
      out.write(" \r\n\t ");
 } 
    } catch (Throwable t) {
      out = _jspx_out;
      if (out != null && out.getBufferSize() != 0)
        out.clearBuffer();
      if (pageContext != null) pageContext.handlePageException(t);
    } finally {
      if (_jspxFactory != null) _jspxFactory.releasePageContext(pageContext);
    }
  }
}
