<%@ page import="beans.lomo.Mode"%>

<jsp:useBean id="bee" class="beans.lomo.Logic" scope="request" />
<%@ include file = "standardheadWOhtml.jsp"%>

<%
    bee.setRequest(request);       //wird in getValue() bentigt
    Mode mode = bee.getMode();
   
    bee.initializeWithData();
    
   
%>

<form action= "mainFrame.jsp" method="<%=getMethod()%>">
	<table cellspacing="0" cellpadding="5" >
       	<tr class="input">
			<td><b>Titel</b></td>
            <td colspan=2>
            	<input cols="50" type="text" name="title" value="<%= bee.getValueForDisplay("title") %>">
            </td>
			<td></td>           
            <td nowrap rowspan="5" valign="top"><% 
           	if(!mode.isDelete() && !mode.isNew()){                    	
                  	
           		boolean successfull = false;

				if(!mode.isChange() && !bee.checkUserInputDate( bee.getValue("dateBegin"), bee.getValue("timeBegin"), bee.getValue("dateEnd"), bee.getValue("timeEnd"))){

	      			setErrorMessage( "Ihre Datumseingaben sind fehlerhaft!");	
	       		}else if(!mode.isChange() && !bee.checkUserInputTitle(bee.getValue("title"))){

	              	setErrorMessage("Der Titel des Termins hat eine fehlerhafte Lnge!");	
				}else if(!mode.isChange() && !bee.checkUserInputComment(bee.getValue("comment"))){

        	       	setErrorMessage("Der eingegebene Kommentar ist nicht in Ordnung!");	
				}else if(mode.isSave() && !bee.checkTerminConflict(logger.getUserID(), bee.getValue("title"), bee.getValue("dateBegin"), bee.getValue("timeBegin"), bee.getValue("dateEnd"), bee.getValue("timeEnd"), bee.getValue("comment"), bee.getParameter("groupToViewID"), bee.getValue("dateID"))){

	               	setErrorMessage("Der Termin steht im Konflikt mit einem anderen eigenen Termin!");	
				}else{
				
					try{
    	        		if(mode.isSave()){
               			
	    	       			successfull = dbConn.addTermin( logger.getUserID(), bee.getParameter("groupToViewID"), mode.isGroupTermin(), bee.escapeString(bee.getValue("title")), bee.getValue("dateBegin"), bee.getValue("timeBegin"), bee.getValue("dateEnd"), bee.getValue("timeEnd"), bee.escapeString(bee.getValue("comment")));       
       	    	      	}else if(mode.isUpdate()){   
       	            	    	                		       	                		 
           	    	  		successfull = dbConn.updateTermin( bee.getValue("dateID"),mode.isGroupTermin(), bee.escapeString(bee.getValue("title")), bee.getValue("dateBegin"), bee.getValue("timeBegin"), bee.getValue("dateEnd"), bee.getValue("timeEnd"), bee.escapeString(bee.getValue("comment")));
                		}else if(mode.isChange()){
                			successfull = true;
	                	}
				    }catch(beans.DateAlreadyExistsException e){
				    	setErrorMessage("Termin ist bereits in Datenbank!");
				 	}	                	

					if(!successfull)
						setErrorMessage("Beim Zugriff auf die Datenbank trat ein Fehler auf!");
					else if(!mode.isChange())
						setSuccessMessage("Die Daten wurden in die Datenbank bernommen.");					
				}
				%>    	
				
           		<input type="hidden" name="dateID" value="<%= getDateID(bee, logger, dbConn) %>">

			<%}else if(mode.isDelete()){
		
				if(dbConn.deleteTermin(bee.getParameter("dateID"), mode.isGroupTermin())){
					setSuccessMessage("Termin erfolgreich gelscht!");
				}else{
					setErrorMessage("Termin konnte nicht gelscht werden!");
				}
			}%>
			
			
			<input type="hidden" name="showDateEditor">
			<%if(beans.Tools.isKeyInRequest(request, "groupToViewID")){%>
				<%-- Zum Durchschleifen der Gruppenterminanschicht --%>
				<input type="hidden" name="groupToViewID" value="<%= bee.getParameter("groupToViewID")%>">
			<%}%>
			
			<%if(beans.Tools.isKeyInRequest(request, "groupID")){%>
				<%-- Zum Durchschleifen der GruppenID --%>
				<input type="hidden" name="groupID" value="<%= bee.getParameter("groupID")%>">
			<%}%>
			
			
			<input type="hidden" name="terminType" value="<%= mode.getTypeTermin() %>">
			
			<div style='text-align:right'>
				<%if(mode.isChange()){%>
					<input type="image" name="<%= Mode.UPDATE_ACTION %>" src="buttons/speichern.gif">
				    <br><br>
				    <input type="image" name="<%= Mode.DELETE_ACTION %>" src="buttons/loeschen.gif">
					<br><br>
					<input type="image" name="<%= Mode.NEW_ACTION %>" src="buttons/neuerTermin.gif">
				<%}else{%>  	                	        	    		         	    				                   
	        	    <input type="image" name="<%= Mode.SAVE_ACTION %>" src="buttons/speichern.gif">
				    <br><br>
					<input type="image" name="<%= Mode.NEW_ACTION %>" src="buttons/neuerTermin.gif">  
	            <%}%>
    		</div>        
            </td>
		</tr>
        <tr height="5">
            <td colspan="3"></td>
        </tr>
        <tr class="annotationsRow">
           	<td></td><td>Datum</td>
            <td>Uhrzeit</td>
            <td class="notes">Bemerkungen</td>
        </tr>
        <tr>
            <td nowrap class="input begin" width="75"><b>Beginn</b></td>
            <td nowrap class="dateDrops input begin"><%= bee.getDateDropDowns( bee.getValueForDisplay("dateBegin", bee.getNowDate()), "dateBegin") %>  </td>
            <td nowrap class="input begin"><%= bee.getTimeDropDowns( bee.getValueForDisplay("timeBegin", bee.getNowTime()), "timeBegin") %></td>
            <td nowrap class="notes"  rowspan="2" valign="top" class="input">
            	<textarea name="comment" cols="30" rows="2"><%= bee.getValueForDisplay("comment") %></textarea>
            </td>
        </tr>
        <tr>
            <td nowrap class="input end"><b>Ende</b></td>
            <td nowrap class="dateDrops input end"><%= bee.getDateDropDowns( bee.getValueForDisplay("dateEnd", bee.getNowDate()), "dateEnd")%> </td>
            <td nowrap class="input end"><%= bee.getTimeDropDowns( bee.getValueForDisplay("timeEnd", bee.getNowTime()), "timeEnd") %></td>
        </tr>
        
        <!-- <tr>
        	<td nowrap colspan="4" class="inputSize">
        		Dieser Termin findet regelmig alle <input type="text" name="period" size="3" maxlength="3" value="0"> Tage statt.
        	</td>
        </tr> -->
	</table>
</form>

<%! 
	private String getMethod(){
		if(debugMode)
			return "get"; 
		else 
			return "post";
	}
	
	private String getDateID(beans.lomo.Logic bee, beans.LogTracker logger, beans.DatabaseLayer dbConn) {

		String dID = bee.getParameter("dateID");
		

		if (dID.length() == 0){
		
			String dateIDinDB= dbConn.getIDOfData(
				logger.getUserID(),
				bee.getValue("title"),
				bee.getValue("dateBegin"),
				bee.getValue("timeBegin"),
				bee.getValue("dateEnd"),
				bee.getValue("timeEnd"),
				bee.getValue("comment"));
				
				return dateIDinDB != null ? dateIDinDB : "";
		}else
			return dID;
	}	
%>
        


