package org.apache.jsp;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import org.apache.jasper.runtime.*;
import java.sql.*;
import java.util.*;
import java.sql.*;
import java.util.*;

public class mainFrame_jsp extends HttpJspBase {

 
	private boolean debugMode = true;				
	private HttpServletRequest myRequest;
	public static final String ERR_MSG_KEY = "errorMessage";
	public static final String SUC_MSG_KEY = "successMessage";
	
	private void setErrorMessage(String errMsg) {
		myRequest.setAttribute(ERR_MSG_KEY, errMsg);
	}
	
	private void setSuccessMessage(String msg){
		myRequest.setAttribute(SUC_MSG_KEY, msg);
	}
	



	private static final int HEADING_HEIGHT = 5;
	private static final int FOOTNOTE_HEIGHT = 5;
	
	private static final int NAVBAR_HEIGTH = 6;

	private static final int FULL_WIDTH = 100;
	private static final int FULL_HEIGHT = 100;
	private static final int LEFT_SIDE_WIDTH = 20;
	
	private static final int CONTENT_HEIGHT = FULL_HEIGHT - (HEADING_HEIGHT + FOOTNOTE_HEIGHT);

	private int getTopRightComponentHeight() {
		// careful! don't use int's bigger than 90!
		
		if (showGroupAdmin) 
			return CONTENT_HEIGHT;
		else if (showProfile) 
			return CONTENT_HEIGHT;
		else if (showCalendar && !showDateEditor && !showConflictView) 
			return CONTENT_HEIGHT - NAVBAR_HEIGTH;
		else if (showHelp) 
			return CONTENT_HEIGHT;
		else 
			return 60;
	}
	
	private int getNavbarHeight(){
	
		if(showCalendar)
			return NAVBAR_HEIGTH;
		else
			return 0;
	}			



	private boolean showGroupAdmin;
	private boolean showProfile;

	private boolean showHelp;
	
	private boolean showDateEditor;
	
	private boolean showCalendar;
	private boolean showConflictView;

	private HttpServletRequest  _request;

	private String getMessageColor(){
	
		if( _request.getAttribute("errorMessage") != null && _request.getAttribute("successMessage") != null){
			return "grey"; // indicating an error in messagehandling
		}else if( _request.getAttribute("errorMessage") != null ){
			return "red";
		}else if( _request.getAttribute("successMessage") != null ){
		    return "green";
		}else{
		    return "grey";
		}
	}
	
	private String getMessage(){
	
		String message=null;
		if( _request.getAttribute("errorMessage") != null)
			message = (String)_request.getAttribute("errorMessage");
		else if( _request.getAttribute("successMessage") != null)
			message = (String)_request.getAttribute("successMessage");	
			
		return message;			
	}

    private String getNowTime() {

		GregorianCalendar cal = new GregorianCalendar();
		return (cal.get(Calendar.HOUR_OF_DAY)<10?"0"+cal.get(Calendar.HOUR_OF_DAY):""+cal.get(Calendar.HOUR_OF_DAY)) + ":" + (cal.get(Calendar.MINUTE)<10?"0"+cal.get(Calendar.MINUTE):""+cal.get(Calendar.MINUTE)) ;
	}



  private static java.util.Vector _jspx_includes;

  static {
    _jspx_includes = new java.util.Vector(4);
    _jspx_includes.add("/standardheadWOhtml.jsp");
    _jspx_includes.add("/standardhead_java.jsp");
    _jspx_includes.add("/standardhead_html.jsp");
    _jspx_includes.add("/mainFrameCSS.jsp");
  }

  public java.util.List getIncludes() {
    return _jspx_includes;
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    JspFactory _jspxFactory = null;
    javax.servlet.jsp.PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;


    try {
      _jspxFactory = JspFactory.getDefaultFactory();
      response.setContentType("text/html; charset=iso-8859-1");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			"", true, 8192, true);
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\n\n");
      out.write("\n");
      beans.LogTracker logger = null;
      synchronized (session) {
        logger = (beans.LogTracker) pageContext.getAttribute("logger", PageContext.SESSION_SCOPE);
        if (logger == null){
          try {
            logger = (beans.LogTracker) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.LogTracker");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.LogTracker", exc);
          }
          pageContext.setAttribute("logger", logger, PageContext.SESSION_SCOPE);
        }
      }
      out.write("\n");
      beans.Tools tools = null;
      synchronized (application) {
        tools = (beans.Tools) pageContext.getAttribute("tools", PageContext.APPLICATION_SCOPE);
        if (tools == null){
          try {
            tools = (beans.Tools) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.Tools");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.Tools", exc);
          }
          pageContext.setAttribute("tools", tools, PageContext.APPLICATION_SCOPE);
        }
      }
      out.write("\n");
      beans.DatabaseLayer dbConn = null;
      synchronized (session) {
        dbConn = (beans.DatabaseLayer) pageContext.getAttribute("dbConn", PageContext.SESSION_SCOPE);
        if (dbConn == null){
          try {
            dbConn = (beans.DatabaseLayer) java.beans.Beans.instantiate(this.getClass().getClassLoader(), "beans.DatabaseLayer");
          } catch (ClassNotFoundException exc) {
            throw new InstantiationException(exc.getMessage());
          } catch (Exception exc) {
            throw new ServletException("Cannot create bean of class " + "beans.DatabaseLayer", exc);
          }
          pageContext.setAttribute("dbConn", dbConn, PageContext.SESSION_SCOPE);
        }
      }
      out.write(" ");
      out.write("\n");
      out.write("\n");
 myRequest = request; 
      out.write("\n");
      out.write("\n\n");
if(!logger.isLoggedIn() && request.getRequestURI().indexOf("Login.jsp") < 0){
      out.write("\n\t");
      if (true) {
        pageContext.forward("Login.jsp");
        return;
      }
      out.write("\n");
}
      out.write("\n\n\n");
      out.write("<!DOCTYPE HTML PUBLIC \"-//w3c//dtd html 4.01 transitional//en\">\r\n");
      out.write("<html>\r\n\t");
      out.write("<head>\r\n\t\t");
      out.write("<meta http-equiv=\"pragma\" content=\"no-cache\">\r\n\t\t");
      out.write("<meta http-equiv=\"expires\" content=\"0\">\r\n\r\n\t\t");
      out.write("<link rel=\"stylesheet\" type=\"text/css\" href=\"");
      out.print(dbConn.getStyle(logger.getUserID()));
      out.write("\">\r\n\t\t");
      out.write("<link rel=\"stylesheet\" type=\"text/css\" href=\"additional.css\">");
      out.write("\n\n\t");
      out.write("<title>TERMIN@OR");
      out.write("</title>\n");


String version = "0.8b";
	
_request = request;

showGroupAdmin = beans.Tools.isKeyInRequest(request, "showGroupAdmin");
showProfile = beans.Tools.isKeyInRequest(request, "showProfile");
showDateEditor = beans.Tools.isKeyInRequest(request, "showDateEditor");
showHelp = beans.Tools.isKeyInRequest(request, "showHelp");
showConflictView = (beans.Tools.isKeyInRequest(request, "VectorX") && beans.Tools.isKeyInRequest(request, "VectorY"));
showCalendar = !(showGroupAdmin || showProfile || showHelp);


      out.write("\n\t\n\t");
      out.write("\n");
      out.write("<style type=\"text/css\">\n\n\n#invisible{\n\tdisplay:none;\n}\n\n#top{\n\tposition:absolute;\n\tleft:0%;\n\ttop:0%;\n\twidth:");
      out.print(FULL_WIDTH);
      out.write("%;\n\theight:");
      out.print(HEADING_HEIGHT);
      out.write("%;\n\t\t\t\n\toverflow:auto;\n\t\t\t\n\tpadding:5px;\n}\n\n\t#top #name{\t\t\t\n\t\tposition:relative;\n\t\tfloat:left;\n\t\tleft:0%;\n\t\ttop:0%;\n\t}\n\t\t\n\t#top #time{\n\t\tposition:relative;\n\t\tfloat:right;\n\t\tright:0%;\n\t\ttop:0%;\n\t}\n\t\n\t\t\n\n#topLeft {\n\tposition:absolute;\n\tleft:0%;\n\ttop:");
      out.print(HEADING_HEIGHT);
      out.write("%;\n\twidth:");
      out.print(LEFT_SIDE_WIDTH);
      out.write("%;\n\theight:");
      out.print((int)(CONTENT_HEIGHT / 2));
      out.write("%;\n\t\t\n\toverflow:auto;\n}\n\n#bottomLeft {\n\tposition:absolute;\n\tleft:0%;\n\ttop:");
      out.print((int)(CONTENT_HEIGHT / 2) + HEADING_HEIGHT);
      out.write("%;\n\twidth:");
      out.print(LEFT_SIDE_WIDTH);
      out.write("%;\n\theight:");
      out.print((int)(CONTENT_HEIGHT / 2));
      out.write("%;\n\t\t\t\n\toverflow:auto;\n}\n\t\t\n#topRight {\n\tposition:absolute;\n\tleft:");
      out.print(LEFT_SIDE_WIDTH);
      out.write("%;\n\ttop:");
      out.print(HEADING_HEIGHT);
      out.write("%;\n\twidth:");
      out.print(FULL_WIDTH - LEFT_SIDE_WIDTH);
      out.write("%;\n\theight:");
      out.print(getTopRightComponentHeight());
      out.write("%;\t\t\t\t\t\t\n\t\t\t\n\toverflow:auto;\n}\n\t\t\t\n\n\n\t\n#navbar {\n\tposition:absolute;\n\t\n\tpadding-top:5px;\n\t\n\theight:");
      out.print(NAVBAR_HEIGTH);
      out.write("%;\n\twidth:");
      out.print(FULL_WIDTH - LEFT_SIDE_WIDTH);
      out.write("%;\n\n\tleft:");
      out.print(LEFT_SIDE_WIDTH);
      out.write("%;\n\ttop:");
      out.print(HEADING_HEIGHT + getTopRightComponentHeight());
      out.write("%;\n\n\toverflow:auto;\n}\t\n\t#middleBar td{\n\t\tfont-size:80%;\n\t\ttext-align:center;\n\t\tvertical-align:middle;\n\t}\n\t\n\t#middleBar td.middle{\n\t\tpadding:2px 4px;\n\t\tborder:thin silver solid;\n\t\theight:28px;\n\t\tbackground:FFFFCC;\n\t}\n\t\n\t#middleBar td#showDate{\n\t\tbackground:#CCFFCC;\n\t}\n\t\n\t#middleBar td#hideDate{\n\t\tbackground:#FFCCCC;\n\t}\n\t\n\t#middleBar td#mondayFirst{\n\t\t");
      out.write("\n\t}\n\t\n\t#middleBar td#currWeek{\n\t\t");
      out.write("\n\t}\n\t\n#bottomRight {\n\tposition:absolute;\n\tleft:");
      out.print(LEFT_SIDE_WIDTH);
      out.write("%;\n\ttop:");
      out.print(HEADING_HEIGHT +  getTopRightComponentHeight() + getNavbarHeight());
      out.write("%;\t\n\t\t\n\twidth:");
      out.print(FULL_WIDTH - LEFT_SIDE_WIDTH);
      out.write("%;\n\theight:");
      out.print(HEADING_HEIGHT +  CONTENT_HEIGHT - getTopRightComponentHeight() - getNavbarHeight() - FOOTNOTE_HEIGHT);
      out.write("%; \n\t\t\t\n\toverflow:auto;\n\t\n}\n\t\n\t#bottomRight > div{\n\t\tpadding-top:10px;\n\t}\n\n\t\t\n#footnote{\n\tposition:absolute;\n\tleft:");
      out.print(LEFT_SIDE_WIDTH);
      out.write("%;\n\ttop:95%;\n\twidth:");
      out.print(FULL_WIDTH-LEFT_SIDE_WIDTH);
      out.write("%;\n\theight:");
      out.print(FOOTNOTE_HEIGHT);
      out.write("%;\n\t\t\t\n\toverflow:auto;\n\t\t\t\n\tfont-weight:bold;\n\t\n\tpadding:5px 0px;\n}\n\n\t#footnote #message{\n\t\tposition:relative;\n\t\tfloat:left;\n\t\tleft:0%;\n\t}\n\t\n\t#footnote #versioning{\n\t\tfloat:right;\n\t\tfont-weight:400;\n\t\tfont-style:italic;\n\t\tfont-size:80%;\n\t}\n\n\t\n\n");
      out.write("</style>\t\n\n");
      out.write("\n\n\n\n\n\n");
      out.write("\n\t\n");
      out.write("</head>\n");
      out.write("<body>\n\n\t");
      out.write("<div id=\"bottomRight\">\n\t\t");
if(showDateEditor) {
      out.write("\t\n\t\t\t");
      out.write("<div>\n\t\t\t\t");
      JspRuntimeLibrary.include(request, response, "dateEditor.jsp", out, false);
      out.write("\n\t\t\t");
      out.write("</div>\n\t\t");
} else if(showConflictView) {
      out.write("\n\t\t\t");
      out.write("<div>\n\t\t\t\t");
      JspRuntimeLibrary.include(request, response, "conflictView.jsp", out, false);
      out.write("\n\t\t\t");
      out.write("</div>\n\t\t");
}
      out.write("\n\t");
      out.write("</div>\n\t\n\t\n\t");
      out.write("<div id=\"topLeft\">\n\t\t");
      JspRuntimeLibrary.include(request, response, "buttons.jsp", out, false);
      out.write("\t\t\t\t\n\t");
      out.write("</div>\n\n\t");
      out.write("<div id=\"top\">\n\t\t");
      out.write("<div id=\"name\">\n\t\t\tSie sind eingeloggt als ");
      out.write("<em style=\"font-weight:bold;\">");
      out.print(logger.getUserName());
      out.write("</em>.\n\t\t");
      out.write("</div>\n\t\t");
      out.write("<div id=\"time\">\n\t\t\tLetzte Aktion ausgef&uuml;hrt um ");
      out.write("<em style=\"font-weight:bold;\">");
      out.print( getNowTime());
      out.write("</em> Uhr.\n\t\t");
      out.write("</div>\n\t");
      out.write("</div>\n\n\n\t");
      out.write("<div id=\"topRight\">\n\t\t");
 if (showGroupAdmin) {
      out.write("\n        \t");
      JspRuntimeLibrary.include(request, response, "groupAdmin.jsp", out, false);
      out.write("\n\t\t");
} else if (showProfile) {
      out.write("\n    \t    ");
      JspRuntimeLibrary.include(request, response, "profile.jsp", out, false);
      out.write("\n\t\t");
} else if (showCalendar) {
      out.write("\n\t\t\t");
      JspRuntimeLibrary.include(request, response, "calendar.jsp", out, false);
      out.write("\n\t\t");
} else if (showHelp) {
      out.write("\n\t\t\t");
      JspRuntimeLibrary.include(request, response, "help.jsp", out, false);
      out.write("\n\t\t");
}
      out.write("\t\n\t");
      out.write("</div>\n\t\n\t\n\t");
if(showCalendar){
      out.write("\n\t\t");
      out.write("<div id=\"navbar\">\n\t\t\t");
      JspRuntimeLibrary.include(request, response, "navigationBar.jsp", out, false);
      out.write("\t\t\n\t\t");
      out.write("</div>\n\t");
}
      out.write("\n\t\n\t");
      out.write("<div id=\"bottomLeft\">\n\t\t");
      JspRuntimeLibrary.include(request, response, "mygroups.jsp", out, false);
      out.write("\n\t");
      out.write("</div>\n\t\n\t");
      out.write("<div id=\"footnote\" >\n\t\n\t\t");
      out.write("<div id=\"versioning\">\n\t\t\tversion ");
      out.print( version );
      out.write("\n\t\t");
      out.write("</div>\n\t\n\t\t");
      out.write("<div id=\"message\" style=\"color:");
      out.print( getMessageColor());
      out.write(";\">");

			String message = getMessage();
			if (message != null) {
      out.write("\n\t\t\t\t");
      out.print(message);
      out.write("\n\t\t\t");
}
      out.write("\n\t\t");
      out.write("</div>\n\t\t\n\t\t\n\t");
      out.write("</div>\n");
      out.write("</body>\n");
      out.write("</html>\n\n");
      out.write("\n\n\n");
    } catch (Throwable t) {
      out = _jspx_out;
      if (out != null && out.getBufferSize() != 0)
        out.clearBuffer();
      if (pageContext != null) pageContext.handlePageException(t);
    } finally {
      if (_jspxFactory != null) _jspxFactory.releasePageContext(pageContext);
    }
  }
}
